package com.qmth.themis.business.bean.status;

import com.qmth.themis.business.enums.MonitorCallStatusSourceEnum;

import java.io.Serializable;

/**
 * @Description: 监控通话状态bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2020/11/25
 */
public class MonitorCallStatusBean implements Serializable {

    MonitorCallStatusSourceEnum monitorCallStatusSourceEnum;
    Long timestamp;//时间戳

    public MonitorCallStatusBean() {

    }

    public MonitorCallStatusBean(MonitorCallStatusSourceEnum monitorCallStatusSourceEnum, Long timestamp) {
        this.monitorCallStatusSourceEnum = monitorCallStatusSourceEnum;
        this.timestamp = timestamp;
    }

    public MonitorCallStatusSourceEnum getMonitorCallStatusSourceEnum() {
        return monitorCallStatusSourceEnum;
    }

    public void setMonitorCallStatusSourceEnum(MonitorCallStatusSourceEnum monitorCallStatusSourceEnum) {
        this.monitorCallStatusSourceEnum = monitorCallStatusSourceEnum;
    }

    public Long getTimestamp() {
        return timestamp;
    }

    public void setTimestamp(Long timestamp) {
        this.timestamp = timestamp;
    }
}
